Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0022113
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSminoralways2012-10-25 18:432012-11-27 18:44
ReportercaristuView Statuspublic 
Assigned Toadrianromero 
PriorityhighResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revisionb1fe3f72218c
ProjectionnoneETAnoneTarget VersionRMP17
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0022113: Uncaugh type error when clicking the backspace button

DescriptionAfter clicking the backspace button of the keyboard in the cash-up window the following error message appears: "Uncaught type Error: Cannot call method 'getContent' of undefined"
Steps To Reproduce1) In the WebPOS main screen push the backspace button of the keyboard. No error is showed.
2) Go to the cash-up window and click the backspace button again. The error appears.
3) Go back to the WebPOS main screen and push the backspace again. The error appears.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0053725)
caristu (developer)
2012-10-25 18:47

Support Ticket: 17671

Resolution time: 10/01/2013
(0053744)
hgbot (developer)
2012-10-26 13:50

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: b1fe3f72218c1842610031e193897f2e3649d2db
Author: Adrián Romero <adrianromero <at> openbravo.com>
Date: Fri Oct 26 13:49:25 2012 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/b1fe3f72218c1842610031e193897f2e3649d2db [^]

Fixes issue 0022113: Uncaugh type error when clicking the backspace button
Keyboard events are now properly added and removed

---
M web/org.openbravo.retail.posterminal/js/components/keyboard.js
M web/org.openbravo.retail.posterminal/js/login/model/login-model.js
M web/org.openbravo.retail.posterminal/js/main.js
M web/org.openbravo.retail.posterminal/js/model/terminal.js
---
(0053748)
hgbot (developer)
2012-10-26 14:23

Repository: erp/pmods/org.openbravo.retail.posterminal-discounts
Changeset: b1fe3f72218c1842610031e193897f2e3649d2db
Author: Adrián Romero <adrianromero <at> openbravo.com>
Date: Fri Oct 26 13:49:25 2012 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-discounts/rev/b1fe3f72218c1842610031e193897f2e3649d2db [^]

Fixes issue 0022113: Uncaugh type error when clicking the backspace button
Keyboard events are now properly added and removed

---
M web/org.openbravo.retail.posterminal/js/components/keyboard.js
M web/org.openbravo.retail.posterminal/js/login/model/login-model.js
M web/org.openbravo.retail.posterminal/js/main.js
M web/org.openbravo.retail.posterminal/js/model/terminal.js
---
(0053750)
adrianromero (manager)
2012-10-26 18:15

Closed for RMP16
(0053896)
hgbot (developer)
2012-10-31 09:41

Repository: erp/pmods/org.openbravo.retail.posterminal-gal
Changeset: b1fe3f72218c1842610031e193897f2e3649d2db
Author: Adrián Romero <adrianromero <at> openbravo.com>
Date: Fri Oct 26 13:49:25 2012 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-gal/rev/b1fe3f72218c1842610031e193897f2e3649d2db [^]

Fixes issue 0022113: Uncaugh type error when clicking the backspace button
Keyboard events are now properly added and removed

---
M web/org.openbravo.retail.posterminal/js/components/keyboard.js
M web/org.openbravo.retail.posterminal/js/login/model/login-model.js
M web/org.openbravo.retail.posterminal/js/main.js
M web/org.openbravo.retail.posterminal/js/model/terminal.js
---
(0054007)
hgbot (developer)
2012-11-05 18:18

Repository: erp/pmods/org.openbravo.retail.posterminal-quotations
Changeset: b1fe3f72218c1842610031e193897f2e3649d2db
Author: Adrián Romero <adrianromero <at> openbravo.com>
Date: Fri Oct 26 13:49:25 2012 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-quotations/rev/b1fe3f72218c1842610031e193897f2e3649d2db [^]

Fixes issue 0022113: Uncaugh type error when clicking the backspace button
Keyboard events are now properly added and removed

---
M web/org.openbravo.retail.posterminal/js/components/keyboard.js
M web/org.openbravo.retail.posterminal/js/login/model/login-model.js
M web/org.openbravo.retail.posterminal/js/main.js
M web/org.openbravo.retail.posterminal/js/model/terminal.js
---
(0054566)
adrianromero (manager)
2012-11-27 18:44

Closed for RMP17

- Issue History
Date Modified Username Field Change
2012-10-25 18:43 caristu New Issue
2012-10-25 18:43 caristu Assigned To => adrianromero
2012-10-25 18:47 caristu Note Added: 0053725
2012-10-26 08:14 caristu Steps to Reproduce Updated View Revisions
2012-10-26 13:50 hgbot Checkin
2012-10-26 13:50 hgbot Note Added: 0053744
2012-10-26 13:50 hgbot Status new => resolved
2012-10-26 13:50 hgbot Resolution open => fixed
2012-10-26 13:50 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/b1fe3f72218c1842610031e193897f2e3649d2db [^]
2012-10-26 14:23 hgbot Checkin
2012-10-26 14:23 hgbot Note Added: 0053748
2012-10-26 14:23 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/b1fe3f72218c1842610031e193897f2e3649d2db [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-discounts/rev/b1fe3f72218c1842610031e193897f2e3649d2db [^]
2012-10-26 18:15 adrianromero Note Added: 0053750
2012-10-26 18:15 adrianromero Status resolved => closed
2012-10-31 09:41 hgbot Checkin
2012-10-31 09:41 hgbot Note Added: 0053896
2012-10-31 09:41 hgbot Status closed => resolved
2012-10-31 09:41 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-discounts/rev/b1fe3f72218c1842610031e193897f2e3649d2db [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-gal/rev/b1fe3f72218c1842610031e193897f2e3649d2db [^]
2012-10-31 10:55 adrianromero Status resolved => closed
2012-11-05 18:18 hgbot Checkin
2012-11-05 18:18 hgbot Note Added: 0054007
2012-11-05 18:18 hgbot Status closed => resolved
2012-11-05 18:18 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-gal/rev/b1fe3f72218c1842610031e193897f2e3649d2db [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-quotations/rev/b1fe3f72218c1842610031e193897f2e3649d2db [^]
2012-11-27 10:19 adrianromero Target Version => RMP17
2012-11-27 18:44 adrianromero Note Added: 0054566
2012-11-27 18:44 adrianromero Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker